2016. 10. 14. 14:00

Adobe Flash Player 신규 취약점 보안 업데이트

□ 개요
o Adobe社는 Flash Player에서 발생하는 취약점을 해결한 보안 업데이트를 발표[1]
o 낮은 버전 사용자는 악성코드 감염에 취약할 수 있으므로 해결방안에 따라 최신버전으로 업데이트 권고
 
□ 설명
o Adobe Flash Player의 26개 취약점에 대한 보안 업데이트를 발표[1]
   · 임의코드 실행으로 이어질 수 있는 메모리 손상 취약점(CVE-2016-4273, CVE-2016-6982, CVE-2016-6983, CVE-2016-6984, CVE-2016-6985, CVE-2016-6986, CVE-2016-6989, CVE-2016-6990)
   · 기존에 패치된 취약점에 대한 보안 우회 취약점(CVE-2016-4286)
   · 임의코드 실행으로 이어질 수 있는 Use-Ater-Free 취약점(CVE-2016-6981, CVE-2016-6987)
   · 임의코드 실행으로 이어질 수 있는 타입 혼란 취약점(CVE-2016-6992)
 
□ 영향 받는 소프트웨어
o Adobe Flash Player

소프트웨어 명동작환경영향 받는 버전
Adobe Flash Player Desktop Runtime윈도우즈, 맥23.0.0.162 및 이전버전
Adobe Flash Player Extended Support Release윈도우즈, 맥18.0.0.375 및 이전버전
Adobe Flash Player for Google Chrome윈도우즈, 맥, Linux, ChromeOS23.0.0.162 및 이전버전
Adobe Flash Player for Microsoft Edge and Internet Explorer 11Windows 10, 8.123.0.0.162 및 이전버전
Adobe Flash Player for LinuxLinux11.2.202.635 및 이전버전

 
□ 해결 방안
o Adobe Flash Player 사용자
- 윈도우즈, 맥 환경의 Adobe Flash Player desktop runtime 사용자는 23.0.0.185 버전으로 업데이트 적용
   · Adobe Flash Player Download Center(http://www.adobe.com/go/getflash)에 방문하여 최신 버전을 설치하거나, 자동 업데이트를 이용하여 업그레이드
- Adobe Flash Player Extended Support Release 사용자는 18.0.0.382 버전으로 업데이트 적용
- 리눅스 환경의 Adobe Flash Player 사용자는 11.2.202.637 버전으로 업데이트 적용
- Windows 10 및 Windows 8.1에서 구글 크롬, Microsoft Edge, 인터넷 익스플로러 11에 Adobe Flash Player를 설치한 사용자는 자동으로 최신 업데이트가 적용
   · 그 외 사용자는 Adobe Flash Player Download Center(http://www.adobe.com/go/getflash)에 방문하여 최신 버전 설치
 
□ 용어 정리
o Use-After-Free 취약점 : 소프트웨어 구현 시 동적 혹은 정적으로 할당된 메모리를 해제했음에도 불구하고 이를 계속 참조(사용)하여 발생하는 취약점
 
□ 기타 문의사항
o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118
 
[참고사이트]
[1] https://helpx.adobe.com/security/products/flash-player/apsb16-32.html


Trackback 0 Comment 0